## samba 4.18.3+dfsg

=== debian/changelog ===
samba (2:4.18.3+dfsg-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Tue, 13 Jun 2023 14:19:00 +0300

samba (2:4.18.3+dfsg-1) unstable; urgency=medium

  * new upstream stable/bugfix release:
   - https://bugzilla.samba.org/show_bug.cgi?id=15375
     Symlinks to files can have random DOS mode information
     in a directory listing
   - https://bugzilla.samba.org/show_bug.cgi?id=15378
     vfs_fruit might cause a failing open for delete
   - https://bugzilla.samba.org/show_bug.cgi?id=15361
     winbind recurses into itself via rpcd_lsad
   - https://bugzilla.samba.org/show_bug.cgi?id=15366
     wbinfo -u fails on ad dc with >1000 users
   - https://bugzilla.samba.org/show_bug.cgi?id=15338
     DS ACEs might be inherited to unrelated object classes
   - https://bugzilla.samba.org/show_bug.cgi?id=15362
     a lot of messages: get_static_share_mode_data:
     get_static_share_mode_data_fn failed: NT_STATUS_NOT_FOUND
   - https://bugzilla.samba.org/show_bug.cgi?id=15374
     aes256 smb3 encryption algorithms are not allowed in smb3_sid_parse()
   - https://bugzilla.samba.org/show_bug.cgi?id=15360
     Setting veto files = /.*/ break listing directories
   - https://bugzilla.samba.org/show_bug.cgi?id=15363
     "samba-tool domain provision" does not run interactive mode
     if no arguments are given
   - https://bugzilla.samba.org/show_bug.cgi?id=15325
     dsgetdcname: assumes local system uses IPv4
  * dnsserver-rename-dns_name_equal.patch
    (forgotten) patch from upstream targetting next stable
    Fixes crashes of named with samba DLZ plugin due to
    symbol name conflict (dns_name_equal() function).
    There's no resulting code changes, just a symbol rename.
    https://bugzilla.samba.org/show_bug.cgi?id=14030
    Closes: #1036587, #927747
  * remove generated manpage files upstream ships in
    docs/manpages/ and ctdb/doc/

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 31 May 2023 20:09:05 +0300

samba (2:4.18.2+dfsg-1) experimental; urgency=medium

  * new upstream stable/bugfix release:
   - https://bugzilla.samba.org/show_bug.cgi?id=15302
     Log flood: smbd_calculate_access_mask_fsp: Access denied:
     message level should be lower.
   - https://bugzilla.samba.org/show_bug.cgi?id=15306
     Floating point exception (FPE) via cli_pull_send
     at source3/libsmb/clireadwrite.c.
   - https://bugzilla.samba.org/show_bug.cgi?id=15328
     test_tstream_more_tcp_user_timeout_spin fails intermittently
     on Rackspace GitLab runners.
   - https://bugzilla.samba.org/show_bug.cgi?id=15329
     Reduce flapping of ridalloc test.
   - https://bugzilla.samba.org/show_bug.cgi?id=15351
     large_ldap test is unreliable.
   - https://bugzilla.samba.org/show_bug.cgi?id=15143
     New filename parser doesn't check veto files smb.conf parameter.
   - https://bugzilla.samba.org/show_bug.cgi?id=15354
     mdssvc may crash when initializing.
   - https://bugzilla.samba.org/show_bug.cgi?id=15313
     large directory optimization broken for non-lcomp path elements.
   - https://bugzilla.samba.org/show_bug.cgi?id=15357
     streams_depot fails to create streams.
   - https://bugzilla.samba.org/show_bug.cgi?id=15358
     shadow_copy2 and streams_depot don't play well together.
   - https://bugzilla.samba.org/show_bug.cgi?id=15316
     Flapping tests in samba_tool_drs_show_repl.py.
   - https://bugzilla.samba.org/show_bug.cgi?id=15317
     winbindd idmap child contacts the domain controller without a need.
   - https://bugzilla.samba.org/show_bug.cgi?id=15318
     idmap_autorid may fail to map sids of trusted domains for the first time.
   - https://bugzilla.samba.org/show_bug.cgi?id=15319
     idmap_hash doesn't use ID_TYPE_BOTH for reverse mappings.
   - https://bugzilla.samba.org/show_bug.cgi?id=15323
     net ads search -P doesn't work against servers in other domains.
   - https://bugzilla.samba.org/show_bug.cgi?id=15353
     Temporary smbXsrv_tcon_global.tdb can't be parsed.
   - https://bugzilla.samba.org/show_bug.cgi?id=15316
     Flapping tests in samba_tool_drs_show_repl.py.
   - https://bugzilla.samba.org/show_bug.cgi?id=15343
     Tests use depricated and removed methods like assertRegexpMatches.
  * d/rules, d/libldb2.symbols; add ldb 2.6.2 version
  * heimdal-to-support-KEYRING-ccache.patch: enable KEYRING in heimdal
    (Closes: #1023609)
  * d/control: build-depend on libkeyutils-dev
    (it is pulled by some other dep, but better to be safe)
  * -s3-smbd-open.c-smbd_calculate_access_mask_fsp-lower-.patch
    (the change has been applied upstream)

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 19 Apr 2023 14:02:49 +0300

samba (2:4.18.1+dfsg-1~exp1) experimental; urgency=high

  * upstream stable/security/bugfix release, fixing the following issues:
    o CVE-2023-0225: An incomplete access check on dnsHostName allows
      authenticated but otherwise unprivileged users to delete this
      attribute from any object in the directory.
      https://www.samba.org/samba/security/CVE-2023-0225.html
    o CVE-2023-0922: The Samba AD DC administration tool, when operating
      against a remote LDAP server, will by default send new or reset
      passwords over a signed-only connection.
      https://www.samba.org/samba/security/CVE-2023-0922.html
    o CVE-2023-0614: Fix in 4.6.16, 4.7.9, 4.8.4 and 4.9.7 for CVE-2018-10919
      Confidential attribute disclosure via LDAP filters was insufficient and
      an attacker may be able to obtain confidential BitLocker recovery keys
      from a Samba AD DC.  Installations with such secrets in their Samba AD
      should assume they have been obtained and need replacing.
      https://www.samba.org/samba/security/CVE-2023-0614.html
    Closes: CVE-2023-0225 CVE-2023-0922 CVE-2023-0614
  * update libldb symbols and versions

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 29 Mar 2023 17:59:17 +0300

samba (2:4.18.0+dfsg-1~exp1) experimental; urgency=medium

  * new upstream release (4.18.0):

