=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Homepage: https://www.samba.org
 Standards-Version: 4.6.2
 Build-Depends:
-	debhelper-compat (= 12),
+	debhelper-compat (= 13),
 	dh-exec,
 Build-Depends-Arch:
 	dh-sequence-python3,
@@ -45,6 +45,7 @@
 	libicu-dev,
 	libjansson-dev,
 	libjson-perl,
+	libkeyutils-dev,
 	libkrb5-dev (>= 1.19.0~) <pkg.samba.mitkrb5>,
 	libldap2-dev,
 	liblmdb-dev,
@@ -54,15 +55,14 @@
 	libpopt-dev,
 	librados-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
 	libreadline-dev,
-	libsystemd-dev [linux-any],
 	libtasn1-6-dev (>= 3.8),
 	libtasn1-bin,
+	liburing-dev [linux-any] <!pkg.samba.nouring>,
 	xfslibs-dev [linux-any],
 	zlib1g-dev (>= 1:1.2.3),
 # python (+#904999):
 	python3-dev:any | python3-dev, libpython3-dev,
 	python3-dnspython,
-	python3-netifaces,
 	python3-etcd,
 	python3-markdown,
 	python3-testtools,
@@ -112,13 +112,14 @@
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file and printer sharing with
  Microsoft Windows, OS X, and other Unix systems.  Samba can also function
- as an NT4-style domain controller, and can integrate with both NT4 domains
- and Active Directory realms as a member server.
+ as an Active Directory or NT4-style domain controller, and can integrate
+ with Active Directory realms or NT4 domains as a member server.
  .
  This package provides the components necessary to use Samba as a stand-alone
- file and print server or as an NT4 or Active Directory domain controller.
- For use in an NT4 domain or Active Directory realm, you will also need the
- winbind package.
+ file and print server or as an NT4 domain controller.  For use in an NT4
+ domain or Active Directory realm, you will also need the winbind package.
+ To use samba as an Active Directory domain controller (AD DC), please install
+ samba-ad-dc package.
  .
  This package is not required for connecting to existing SMB/CIFS servers
  (see smbclient) or for mounting remote filesystems (see cifs-utils).
@@ -141,7 +142,7 @@
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,
  and other Unix systems.  Samba can also function as a domain controller
- or member server in both NT4-style and Active Directory domains.
+ or member server in Active Directory or NT4-style domains.
  .
  This package contains the shared libraries.
 
@@ -178,7 +179,7 @@
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,
  and other Unix systems.  Samba can also function as a domain controller
- or member server in both NT4-style and Active Directory domains.
+ or member server in Active Directory or NT4-style domains.
  .
  This package contains the common files that are used by both the server
  (provided in the samba package) and the client (provided in the samba-clients
@@ -188,14 +189,13 @@
 Architecture: all
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
-Depends: samba (>= ${binary:Version}),
-	samba-ad-provision (>= ${binary:Version}),
-	samba-dsdb-modules (>= ${binary:Version}),
-	samba-vfs-modules,
+Depends: samba (>= ${binary:Version}), samba-dsdb-modules, samba-vfs-modules,
 	winbind,
 	krb5-kdc (>> 1.19.0) <pkg.samba.mitkrb5>,
 	${misc:Depends}
-Recommends: libnss-winbind, libpam-winbind
+Recommends: libnss-winbind, libpam-winbind,
+# samba-ad-provision is needed for setup only
+	samba-ad-provision
 Breaks: samba-ad-provision (<< ${source:Upstream-Version})
 Description: Samba control files to run AD Domain Controller
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
@@ -250,7 +250,7 @@
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,
  and other Unix systems.  Samba can also function as a domain controller
- or member server in both NT4-style and Active Directory domains.
+ or member server in Active Directory or NT4-style domains.
  .
  This package contains programs for testing the reliability and speed
  of SMB servers, Samba in particular.
@@ -262,7 +262,7 @@
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,
  and other Unix systems.  Samba can also function as a domain controller
- or member server in both NT4-style and Active Directory domains.
+ or member server in Active Directory or NT4-style domains.
  .
  This package contains tools for viewing and manipulating the binary
  "registry" found on Windows machines, both locally and remote.
@@ -287,7 +287,7 @@
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,
  and other Unix systems.  Samba can also function as a domain controller
- or member server in both NT4-style and Active Directory domains.
+ or member server in Active Directory or NT4-style domains.
  .
  This package contains include files shared by the various Samba-based
  libraries.
@@ -310,7 +310,7 @@
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,
  and other Unix systems.  Samba can also function as a domain controller
- or member server in both NT4-style and Active Directory domains.
+ or member server in Active Directory or NT4-style domains.
  .
  This package contains Python 3 bindings for most Samba libraries.
 
@@ -328,7 +328,7 @@
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,
  and other Unix systems.  Samba can also function as a domain controller
- or member server in both NT4-style and Active Directory domains.
+ or member server in Active Directory or NT4-style domains.
  .
  This package contains LDB plugins which add support for various Active
  Directory features to the LDB library.
@@ -336,4 +336,3 @@
 Package: samba-vfs-modules
 Architecture: any
 Multi-Arch: same
-Depends: samba-libs (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
