=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 ifeq (linux,${DEB_HOST_ARCH_OS})
 # for cross-build or build with foreign python binary (it is _gnu0_i386-gnu on hurd)
-export _PYTHON_SYSCONFIGDATA_NAME=_sysconfigdata_m_${DEB_HOST_ARCH_OS}_${DEB_HOST_MULTIARCH}
+export _PYTHON_SYSCONFIGDATA_NAME=_sysconfigdata__${DEB_HOST_ARCH_OS}_${DEB_HOST_MULTIARCH}
 endif
 
 DESTDIR = ${CURDIR}/debian/tmp
@@ -29,7 +29,8 @@
 
 # #1021371: we only need the single "version" symbol LDB_2.4.4 in the library
 # should be removed for bookworm+. Also LDB_2.4.4 in d/libldb2.symbols
-EXTRA_ABI_VERSION_FILES = lib/ldb/ABI/ldb-2.4.4.sigs
+# 2.6.2 is bookworm-only symbol (but keep an eye on bookworm-backports)
+EXTRA_ABI_VERSION_FILES = lib/ldb/ABI/ldb-2.4.4.sigs lib/ldb/ABI/ldb-2.6.2.sigs
 
 omit-pkgs =
 with-glusterfs =
@@ -60,25 +61,20 @@
 	--with-automount \
 	--with-ldap \
 	--with-ads \
-	--enable-cups \
-	--enable-spotlight \
-	--with-acl-support \
-	--with-quotas \
-	--with-libarchive \
 	--with-gpgme \
-	--disable-avahi \
+	--enable-avahi \
 	--enable-spotlight \
 	--with-profiling-data \
 	--disable-rpath --disable-rpath-install \
 	--with-shared-modules=idmap_rid,idmap_ad,idmap_adex,idmap_hash,idmap_ldap,idmap_tdb2,vfs_dfs_samba4,auth_samba4,vfs_nfs4acl_xattr \
-	--bundled-libraries=NONE,pytevent,ldb,libarchive \
+	--bundled-libraries=NONE,pytevent,ldb \
 	\
 	--with-cluster-support \
 	--enable-etcd-reclock \
 	--with-socketpath=/run/ctdb/ctdbd.socket \
 	--with-logdir=/var/log/ctdb \
 
-ifeq (${DEB_HOST_ARCH_OS}, ucs-future) # extra linux-specific features
+ifeq (${DEB_HOST_ARCH_OS}, linux) # extra linux-specific features
 with-glusterfs = yes
 with-ceph = yes
 with-snapper = yes
@@ -91,13 +87,6 @@
 config-args += \
 	--with-quota \
 	\
-	--with-systemd \
-	--systemd-install-services \
-	--with-systemddir=/lib/systemd/system \
-	--systemd-smb-extra='ExecCondition=/usr/share/samba/is-configured smb' \
-	--systemd-nmb-extra='ExecCondition=/usr/share/samba/is-configured nmb' \
-	--systemd-winbind-extra='ExecCondition=/usr/share/samba/is-configured winbind' \
-	--systemd-samba-extra='ExecCondition=/usr/share/samba/is-configured samba' \
 
 endif
 
@@ -209,3 +198,8 @@
 		   sed 's|--bundled-libraries=NONE|&,nss_wrapper,pam_wrapper,resolv_wrapper,socket_wrapper,uid_wrapper|')
 # FIXME: some tests fail for now, handle them later (last check: 4.17.2, heimdal build)
 	rm -f testbuild/selftest/knownfail.d/debian
+	echo '^samba3.smb2.session\ enc.(reauth.|bind.|bind_negative.*|bind_invalid_auth|encryption-aes-.*)\(nt4_dc\)' \
+		>>testbuild/selftest/knownfail.d/debian
+#	echo '^samba3.rpc.schannel_anon_setpw\ anonymous\ password\ set\ \(schannel\ enforced\ server-side\)\(nt4_dc_schannel\)' \
+#		>>testbuild/selftest/knownfail.d/debian
+	echo '^samba4.ntvfs.cifs.ntlm.base.unlink.unlink\(rpc_proxy\)' \
