=== debian/control ===
--- 
+++ 
@@ -55,6 +55,7 @@
 	libpopt-dev,
 	librados-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
 	libreadline-dev,
+	libsystemd-dev [linux-any],
 	libtasn1-6-dev (>= 3.8),
 	libtasn1-bin,
 	liburing-dev [linux-any] <!pkg.samba.nouring>,
