=== debian/rules ===
--- 
+++ 
@@ -87,6 +87,13 @@
 config-args += \
 	--with-quota \
 	\
+	--with-systemd \
+	--systemd-install-services \
+	--with-systemddir=/lib/systemd/system \
+	--systemd-smb-extra='ExecCondition=/usr/share/samba/is-configured smb' \
+	--systemd-nmb-extra='ExecCondition=/usr/share/samba/is-configured nmb' \
+	--systemd-winbind-extra='ExecCondition=/usr/share/samba/is-configured winbind' \
+	--systemd-samba-extra='ExecCondition=/usr/share/samba/is-configured samba' \
 
 endif
 
@@ -95,6 +102,20 @@
 omit-pkgs += ctdb libpam-winbind samba samba-testsuite samba-vfs-modules
 with-ceph =
 with-glusterfs =
+endif
+
+ifneq (,$(filter armel mipsel m68k powerpc sh4,${DEB_HOST_ARCH}))
+# https://gcc.gnu.org/bugzilla/show_bug.cgi?id=81358
+# on these platforms gcc does not link with -latomic, resulting in
+#   third_party/heimdal/lib/krb5/krcache.c.55.o: in function `krcc_get_principal':
+#   third_party/heimdal/lib/krb5/krcache.c:1395: undefined reference to `__atomic_load_8'
+#     ids.krcu_cache_and_princ_id = heim_base_atomic_load(&data->krc_cache_and_principal_id);
+#   third_party/heimdal/lib/base/heimbase-atomics.h:
+#     #include <stdatomic.h>
+#     #define heim_base_atomic_load(x)        atomic_load((x))
+# include a workaround for now
+# (-latomic and <stdatomic.h> comes from gcc, --as-needed is already in use)
+LDFLAGS := ${LDFLAGS} -latomic
 endif
 
 config-args += $(if ${with-ceph},\
@@ -114,7 +135,7 @@
 mitkrb5-dep-pkgs += samba-dsdb-modules samba-vfs-modules
 mitkrb5-dep-pkgs += libsmbclient smbclient
 mitkrb5-dep-pkgs += libnss-winbind libpam-winbind
-mitkrb5-dep-pkgs += winbind
+mitkrb5-dep-pkgs += winbind libwbclient0
 mitkrb5-dep-pkgs += samba-testsuite
 mitkrb5-dep-pkgs += ctdb
 else
@@ -186,20 +207,3 @@
 	rm -f testbuild/compile_commands.json
 	touch $@
 testbuild/configured.stamp: testbuild/copied.stamp
-	@echo "############## selftest configure ##############"
-# allow some bundled "lib" for now just for the test build. Debian has them
-# (libsocket-wrapper &Co), but let's just build the bundled ones. There's no
-# good reason to use externally-packaged wrappers, they're small to build and
-# we don't use them for production build, and extra versioned build-dep hurts.
-	cd testbuild && \
-	CPPFLAGS="${CPPFLAGS}" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" \
-	    ${WAF} -j1 -C configure --enable-selftest \
-		$$(echo '${config-args}' | \
-		   sed 's|--bundled-libraries=NONE|&,nss_wrapper,pam_wrapper,resolv_wrapper,socket_wrapper,uid_wrapper|')
-# FIXME: some tests fail for now, handle them later (last check: 4.17.2, heimdal build)
-	rm -f testbuild/selftest/knownfail.d/debian
-	echo '^samba3.smb2.session\ enc.(reauth.|bind.|bind_negative.*|bind_invalid_auth|encryption-aes-.*)\(nt4_dc\)' \
-		>>testbuild/selftest/knownfail.d/debian
-#	echo '^samba3.rpc.schannel_anon_setpw\ anonymous\ password\ set\ \(schannel\ enforced\ server-side\)\(nt4_dc_schannel\)' \
-#		>>testbuild/selftest/knownfail.d/debian
-	echo '^samba4.ntvfs.cifs.ntlm.base.unlink.unlink\(rpc_proxy\)' \
